Subject: Set UNIX_PATHS flag when using RecursiveDirectoryIterator
Description

Currently FLOW3 breaks on Windows, because the I18n service uses the RecursiveDirectoryIterator without setting the 2nd
argument to RecursiveDirectoryIterator::UNIX_PATHS in order to use the forward slash as directory separator.
Usually that wouldn't matter, cause PHP file functions accept Windows style paths as well. For paths that use the "resource" scheme
though, this breaks as the ResourceStreamWrapper gets a path like "MyPackage\Foo\Bar" and fails to extract the package key from
that.
One solution would be, to call \F3\FLOW3\Utility\Files::getUnixStylePath() on the given path in the stream wrapper.
But specifying the UNIX_PATHS flag is probably the faster solution.

Related issues:
duplicated by TYPO3.Flow - Bug # 10929: F3\FLOW3\Package\Exception\UnknownPac... Closed 2010-11-18
duplicated by TYPO3.Flow - Bug # 10516: F3\FLOW3\Package\Exception\UnknownPac... Closed 2010-10-28

Associated revisions
Revision fd8a18e3 - 2010-12-02 18:10 - Bastian Waidelich

[+BUGFIX] FLOW3 (I18n): Set UNIX_PATHS flag when using RecursiveDirectoryIterator

Currently FLOW3 breaks on Windows, because the I18n service uses the
RecursiveDirectoryIterator without setting the 2nd argument to
RecursiveDirectoryIterator::UNIX_PATHS in order to use the forward
slash as directory separator.

Change-Id: Iee4a4f104698d34f93912e4e4cbc54e7d7a2aec1
Fixes: #11240

History
#1 - 2010-12-06 17:00 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"fd8a18e3e9f4c4c945909fa9edc6df9615e6eb03".

#2 - 2010-12-13 16:31 - Karsten Dambekalns
- Target version set to 1.0 alpha 14
